
QGIS Application - Bug report #10355

crash: switching to inverted polygon symbology while a layer has show feature count activated will 

crash QGIS

2014-05-26 02:11 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Hugo Mercier

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18776

Description

Steps to reproduce:

1. Create a new project

2. Add a layer to the project (I'm trying with a polygon shapefile but it'll probably work with any data source)

3. Right click on the layer and activate [x] show feature count

4. Open the layer's symbology property window, and switch the renderer to Inverted Polygon

5. Click on ok

6. boom crash

Associated revisions

Revision 3fe12df5 - 2014-06-10 06:54 AM - Martin Dobias

Fix #10355 (crash) and #10338 (overlapping polygons) in inverted polygon renderer

Conflicts:

    python/core/symbology-ng/qgsinvertedpolygonrenderer.sip

    src/core/symbology-ng/qgsinvertedpolygonrenderer.cpp

    src/core/symbology-ng/qgsinvertedpolygonrenderer.h

    src/gui/symbology-ng/qgsinvertedpolygonrendererwidget.cpp

    src/gui/symbology-ng/qgsinvertedpolygonrendererwidget.h

History

#1 - 2014-05-26 02:21 AM - Hugo Mercier

Thanks.

I've fixed it, it will be part of an upcoming PR

#2 - 2014-05-27 12:20 AM - Hugo Mercier

- Pull Request or Patch supplied changed from No to Yes

Submitted here

https://github.com/qgis/QGIS/pull/1393

#3 - 2014-06-09 10:16 PM - Martin Dobias
https://github.com/qgis/QGIS/pull/1393


- Status changed from Open to Closed

Fixed in changeset commit:"3fe12df5077de36005d2a4550310b6dc08fc9757".
